%define upstream_name Net_SMS
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.2.1
Release:     	%mkrel 6
Summary:    	SMS functionality
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_SMS-%{version}.tgz
URL: 		http://pear.php.net/package/Net_SMS
BuildRequires: 	php-pear >= 1.4.7
BuildArch: noarch

%description
This package provides SMS functionality and access to SMS gateways.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_SMS.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_SMS.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_SMS
fi

%files
%{peardir}/*
%{xmldir}/Net_SMS.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-6.mga8
+ Revision: 1499126
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.1-5.mga7
+ Revision: 1273738
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.2.1-4.mga6
+ Revision: 941565
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-3.mga5
+ Revision: 749089
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-2.mga5
+ Revision: 687387
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 spuhler <spuhler> 0.2.1-1.mga5
+ Revision: 644030
- upgrade to ver. 0.2.1

* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-3.mga4
+ Revision: 517061
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 377028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 0.2.0-1.mga2
+ Revision: 199934
- upgrade to 0.2.0
  pearized spec file

* Fri Jan 21 2011 spuhler <spuhler> 0.1.0-7.mga1
+ Revision: 27969
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_SMS


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2011.0
+ Revision: 607125
- rebuild

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-6mdv2010.1
+ Revision: 468720
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.0-5mdv2010.0
+ Revision: 426662
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdv2009.1
+ Revision: 321886
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.1.0-3mdv2009.0
+ Revision: 224839
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2008.1
+ Revision: 178530
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2007.0
+ Revision: 82411
- Import php-pear-Net_SMS

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- 0.1.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.0.2-1mdk
- initial Mandriva package (PLD import)

